# $Revision: 1.35 $, $Date: 2003/11/23 12:04:32 $
#
# Conditional build:
%bcond_without	tex	# don't build documentation using LaTeX
#
%include	/usr/lib/rpm/macros.perl
Summary:	LaTeX to HTML translator
Summary(pl):	Konwerter z LaTeXa do HTML
Name:		latex2html
Version:	2002
%define	subv	1
Release:	3
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	http://www.ctan.org/tex-archive/support/%{name}/%{name}-%{version}-%{subv}.tar.gz
# Source0-md5:	e6a39c6ca0580b4809b17a486871dd56
Patch0:		%{name}-perl.patch
Patch1:		%{name}-tmp.patch
Patch2:		%{name}-gslib.patch
URL:		http://www.xray.mpe.mpg.de/mailing-lists/latex2html/
BuildRequires:	ghostscript
BuildRequires:	giftrans
BuildRequires:	netpbm-devel
BuildRequires:	netpbm-progs
BuildRequires:	%{__perl}
BuildRequires:	rpm-perlprov
%if %{with tex}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts-ams
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-makeindex
%endif
Requires:	ghostscript >= 4.03
Requires:	giftrans
Requires:	netpbm-progs
Requires:	%{__perl}
Requires:	tetex-dvips >= 0.4
Requires:	tetex-latex >= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define		_libdir		%{_datadir}/%{name}
%define		_shlibdir	%{_datadir}/%{name}

%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.

%description -l pl
Program w perlu do konwertowania dokumentw LaTeXa do formatu HTML.
Generuje strony html oraz odpowiednie obrazki.

%prep
%setup -q -n %{name}-%{version}-%{subv}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
GS_LIB=.:/usr/share/ghostscript/lib:/usr/share/fonts/Type1; export GS_LIB
%configure2_13 \
	--shlibdir=%{_datadir}/%{name} \
	--enable-images \
	--enable-pk \
	--enable-eps \
	--enable-gif \
	--enable-png \
	--enable-pipes \
	--enable-paths \
	--enable-wrapper \
	--with-perl=%{__perl} \
	--with-gs=/usr/bin/gs \
	--with-rgb=/usr/X11R6/lib/X11/rgb.txt \
	--with-texpath=/usr/share/texmf/tex/latex/%{name} \
	--with-iconpath=/icons/l2h

%{__make}

%if %{with tex}
# build foilhtml modules
cd foilhtml
latex foilhtml.ins
cd ..

# build documentation
TEXINPUTS="../:../texinputs:$TEXINPUTS"; export TEXINPUTS
%{__make} -C docs manual.dvi
%{__make} -C docs manual.dvi
%{__make} -C docs manual.ps
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/services/httpd/icons

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf	%{_shlibdir}/cweb2html/cweb2html $RPM_BUILD_ROOT%{_bindir}/cweb2html
ln -sf	%{_shlibdir}/icons $RPM_BUILD_ROOT/home/services/httpd/icons/l2h

rm -rf	$RPM_BUILD_ROOT%{_shlibdir}/{docs,example,foilhtml/foilhtml.log}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/texhash ]; then
	/usr/bin/texhash
fi
if [ -x /usr/bin/mktexlsr ]; then
	/usr/bin/mktexlsr
fi

%files
%defattr(644,root,root,755)
%doc BUGS FAQ LICENSE README TODO %{?with_tex:docs/manual.ps}
%attr(755,root,root) %{_bindir}/*
%dir %{_shlibdir}
%{_shlibdir}/[!c]*
%{_shlibdir}/c[!w]*
%dir %{_shlibdir}/cweb2html
%{_shlibdir}/cweb2html/[!c]*
%{_shlibdir}/cweb2html/cweb.*
%attr(755,root,root) %{_shlibdir}/cweb2html/cweb2html
/home/services/httpd/icons/l2h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: latex2html.spec,v $
Revision 1.35  2003/11/23 12:04:32  qboosh
- modified perl patch to force using passed perl instead of $^X
- new-style bcond, release 3

Revision 1.34  2003/08/28 08:29:13  ankry
- s/TeX-a/TeXa/ i podobne

Revision 1.33  2003/05/28 12:59:25  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 05:49:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/05/11 11:42:21  radek
- use R/BR %__perl instead of perl; should be %__perl friendly

Revision 1.30  2003/04/16 10:20:52  radek
- BR: tetex-fonts-ams

Revision 1.29  2003/03/03 02:40:03  radek
- updated for perl-5.8; created _without_tex bcond; release 2

Revision 1.28  2003/01/19 18:50:46  qboosh
- updated to 2002-1
- added gslib patch to fix GS_LIB detection

Revision 1.27  2002/12/07 19:36:57  orzech
- /home/httpd -> /home/services/httpd

Revision 1.26  2002/11/27 18:27:38  juandon
- new %%doc

Revision 1.25  2002/04/17 10:52:13  marcus
- rel.2.  (now builds on ppc)

Revision 1.24  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/12/03 10:04:05  qboosh
- adapterized, cosmetics

Revision 1.20  2001/10/03 08:17:08  marcus
- configure2_13

Revision 1.19  2001/10/03 08:12:09  marcus
- added aclocal&autoconf

Revision 1.18  2001/05/30 07:24:20  kloczek
- added netpbm-devel to BuildRequires.

Revision 1.17  2001/03/25 16:35:33  misiek
99.2beta8

Revision 1.16  2001/03/25 14:05:21  misiek
libgr->netpbm

Revision 1.15  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.10  1999/09/09 16:22:44  kloczek
- cosmetic changes,
- added gzipping %doc.

Revision 1.9  1999/09/09 14:04:01  misiek
- alpha13

Revision 1.8  1999/09/09 13:26:48  misiek
- updated

Revision 1.7  1999/09/07 15:46:47  misiek
- typo

Revision 1.6  1999/09/07 15:44:19  misiek
- updated (not working, yet)

Revision 1.5  1999/09/07 10:10:43  misiek
- updated

Revision 1.4  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb 10 1999 Arkadiusz Mikieiwcz <misiek@pld.org.pl>
- initial PLD release
